Subject: bug#18485: Naming of COPYING* files

From: [email-masked] (Niels Möller)
Date: Tue, 16 Sep 2014 09:08:26 +0200

GNU GMP recently moved to naming the COPYING* files in the same way as
gnulib (http://git.savannah.gnu.org/cgit/gnulib.git/tree/doc), and it
includes the files COPYING.LESSERv3, COPYINGv2 and COPYINGv3, which all
apply to some of the code under some circumstances.

Now, automake thinks a proper COPYING file is missing in gmp, so
automake -a makes COPYING a symlink to /usr/share/automake-1.13/COPYING
(which contains GPLv3), and it also displays a message "Consider adding
the COPYING file to the version control system". Tested with
automake-1.14.1 (debian packaged).

It would be nice if automake would recognize the gnulib naming
convention for COPYING* files.

Best regards,
/Niels

-- 
Niels Möller. PGP-encrypted email is preferred. Keyid C0B98E26.
Internet email is subject to wholesale government surveillance.